Subject: bug#54387: closed ()

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Mar 2022 19:09:02 +0000

Your bug report

#54387: Error when trying to upgrade guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54387: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54387
GNU Bug Tracking System
Contact [email-masked] with problems

From: [email-masked]
To: [email-masked]
Date: Wed, 16 Mar 2022 19:07:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

done. Thanks!

Subject: Error when trying to upgrade guix
From: [email-masked]
To: [email-masked]
Date: Mon, 14 Mar 2022 11:14:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Howdy Guix!

Sorry for resending, I do not think the first email had a subject or from.  Thanks!

When I try switch guix generations I get the following error:

/s/h/j/p/gnu/guix-config [master] λ guix system switch-generation 2
guix system: warning: unrecognized boot parameters at '/var/guix/profiles/system/parameters'
Backtrace:
In ice-9/boot-9.scm:
  1752:10 16 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In unknown file:
          15 (apply-smob/0 #<thunk 7f13adb7a2e0>)
In ice-9/boot-9.scm:
    724:2 14 (call-with-prompt _ _ #<procedure default-prompt-handler (k proc)>)
In ice-9/eval.scm:
    619:8 13 (_ #(#(#<directory (guile-user) 7f13adb7fc80>)))
In guix/ui.scm:
   2209:7 12 (run-guix . _)
  2172:10 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10 10 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/status.scm:
    822:3  9 (_)
    802:4  8 (call-with-status-report _ _)
In ice-9/boot-9.scm:
  1752:10  7 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/store.scm:
   658:37  6 (thunk)
In guix/scripts/system.scm:
   375:10  5 (switch-to-system-generation #<store-connection 256.99 7f13adb8ee60> "2")
   382:16  4 (reinstall-bootloader #<store-connection 256.99 7f13adb8ee60> 2)
In ice-9/boot-9.scm:
  1747:15  3 (with-exception-handler #<procedure 7f13ab1e3e40 at ice-9/boot-9.scm:1831:7 (exn)> _ #:unwind? _ #:unwind-for-type _)
In gnu/system.scm:
   469:15  2 (read-boot-parameters-file "/var/guix/profiles/system")
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure struct-vtable: Wrong type argument in position 1 (expecting struct): #f

Here is what is inside that file /var/guix/profiles/system/parameters.

/s/h/j/p/gnu/guix-config [master] λ cat /su:root@localhost:/var/guix/profiles/system/parameters
(boot-parameters (version 1) (label "GNU with Linux-Libre 5.15.26") (root-device "/dev/mapper/cryptroot") (kernel "/gnu/store/70qfrg1iqcia8sr1f19sq1dnsgmf4vxf-linux-libre-5.15.26/bzImage") (kernel-arguments ("modprobe.blacklist=pcspkr" "modprobe.blacklist=usbmouse,usbkbd" "quiet")) (initrd "/gnu/store/j2bk2h3x60w41xgwdihqwd9467l20pb4-raw-initrd/initrd.cpio.gz") (bootloader-name grub) (bootloader-menu-entries ((menu-entry (version 0) (label "Debian 10") (device #f) (device-mount-point #f) (linux "/boot/vmlinuz-4.19.0-8-amd64") (linux-arguments ("root=/dev/sda3" "quiet")) (initrd "/boot/initrd.img-4.19.0-8-amd64")))) (locale "en_US.utf8") (store (device #f) (mount-point "/") (directory-prefix #f) (crypto-devices ((uuid dce #vu8(215 141 34 77 75 90 65 110 175 239 60 231 124 75 213 172))))))
/s/h/j/p/gnu/guix-config [master] λ

Here is the config generated by the auto-installer.  I believe I am using the
latest installer...corresponding to Guix 1.3

;; This is an operating system configuration generated
;; by the graphical installer.

(use-modules (gnu))
(use-service-modules desktop networking ssh xorg)

(operating-system
  (locale "en_US.utf8")
  (timezone "America/Indiana/Indianapolis")
  (keyboard-layout (keyboard-layout "us" "dvorak"))
  (host-name "barnabas")
  (users (cons* (user-account
                  (name "joshua")
                  (comment "Joshua Allen Branson")
                  (group "users")
                  (home-directory "/home/joshua")
                  (supplementary-groups
                    '("wheel" "netdev" "audio" "video")))
                %base-user-accounts))
  (packages
    (append
      (list (specification->package "nss-certs"))
      %base-packages))
  (services
    (append
      (list (service network-manager-service-type)
            (service wpa-supplicant-service-type))
      %base-services))
  (bootloader
    (bootloader-configuration
      (bootloader grub-bootloader)
      (target "/dev/sda")
      (keyboard-layout keyboard-layout)))
  (mapped-devices
    (list (mapped-device
            (source
              (uuid "d78d224d-4b5a-416e-afef-3ce77c4bd5ac"))
            (target "cryptroot")
            (type luks-device-mapping))))
  (file-systems
    (cons* (file-system
             (mount-point "/")
             (device "/dev/mapper/cryptroot")
             (type "ext4")
             (dependencies mapped-devices))
           %base-file-systems)))

I also am using a librebooted Thinkpad T400.  Thanks!